#include <iostream>
#include <string>

using namespace std;

int main(void)
{
    string s = "Bonjour  tout    le monde !";
    // Recherche le mot "monde" :
    string::size_type pos = s.find("monde");
    cout << pos << endl;
    // Recherche le mot "tout" en commenant par la fin :
    pos = s.rfind("tout");
    cout << pos << endl;
    // Dcompose la chane en mots :
    string::size_type debut = 0;
    pos = s.find_first_of(" \t\n");
    while (pos != string::npos)
    {
        // Affiche le mot :
        cout << s.substr(debut, pos - debut) << endl;
        // Passe les blancs :
        debut = s.find_first_not_of(" \t\n", pos);
        // Recherche la fin du mot suivant :
        pos = s.find_first_of(" \t\n", debut);
    }
    // Affiche le dernier mot :
    cout << s.substr(debut, pos - debut) << endl;
    return 0;
}

